Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class MetadataTarget

    java.lang.Object
      javax.faces.view.facelets.MetadataTarget

    public abstract class MetadataTarget

extends java.lang.Object

Information used with `MetaRule` for determining how and what `Metadata` should be wired.

Since:
  2.0

Constructor Summary
`MetadataTarget()`

Method Summary
`abstract java.beans.PropertyDescriptor` | `getProperty(java.lang.String name)` Return a beans `PropertyDescriptor` for the property with name given by argument `name`.
`abstract java.lang.Class` | `getPropertyType(java.lang.String name)` Return a `Class` for the property with name given by argument `name`.
`abstract java.lang.reflect.Method` | `getReadMethod(java.lang.String name)` Return a `Method` for the getter of the property with name given by argument `name`.
`abstract java.lang.Class` | `getTargetClass()` Return the `Class` of the metadata target.
`abstract java.lang.reflect.Method` | `getWriteMethod(java.lang.String name)` Return a `Method` for the setter of the property with name given by argument `name`.
`abstract boolean` | `isTargetInstanceOf(java.lang.Class type)` Return true if the target for this metadata element is an instance of the argument `type`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataTarget

    public MetadataTarget()

Method Detail

### getProperty

    public abstract java.beans.PropertyDescriptor getProperty(java.lang.String name)

  Return a beans `PropertyDescriptor` for the property with name given by argument `name`.

  Parameters:
    `name` - the name of the property for which the `PropertyDescriptor` must be returned.

### isTargetInstanceOf

    public abstract boolean isTargetInstanceOf(java.lang.Class type)

  Return true if the target for this metadata element is an instance of the argument `type`.

  Parameters:
    `type` - the `Class` to test for the instance of.

### getTargetClass

    public abstract java.lang.Class getTargetClass()

  Return the `Class` of the metadata target.

### getPropertyType

    public abstract java.lang.Class getPropertyType(java.lang.String name)

  Return a `Class` for the property with name given by argument `name`.

  Parameters:
    `name` - the name of the property for which the `Class` must be returned.

### getWriteMethod

    public abstract java.lang.reflect.Method getWriteMethod(java.lang.String name)

  Return a `Method` for the setter of the property with name given by argument `name`.

  Parameters:
    `name` - the name of the property for which the `Method` must be returned.

### getReadMethod

    public abstract java.lang.reflect.Method getReadMethod(java.lang.String name)

  Return a `Method` for the getter of the property with name given by argument `name`.

  Parameters:
    `name` - the name of the property for which the `Method` must be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.